<style>
	.pages {
		float: left;
	}
	.page {
		width: 100px;
		float: left;
		box-shadow: 0 0 10px;
		margin: 20px;
	}
	.page img {
		width: 100%;
		float: left;
	}
</style>
{% import "macro/form.twig" as form %}
<div class="container">
<form id="upload" action="upload.php" method="POST" name="book" enctype="multipart/form-data">
	<fieldset>
		{{form.input("Book Name","name",book.name,"text","[a-zA-Z._ 0-9]{1,50}",true)}}
		{{form.hidden("subject",subjectid)}}
		{{form.hidden("action","add-book-img")}}

				{{form.hidden("type","")}}
				{{form.hidden("category","")}}
		<div class="page-upload" id="filedrag" {% if book.name != '' %} style="display:none" {% endif %}>
			<legend>Upload pages in image format</legend>
			<div>
				<label for="fileselect">Files to upload:</label>
				<input type="file" id="fileselect" name="fileselect[]" multiple="multiple"/>
			</div>
		</div>

		<div id="submitbutton">
			<button type="submit">Upload Files</button>
		</div>

	</fieldset>

</form>
</div>
<div id="progress"></div>

<div id="messages"></div>
<script src="/js/filedrag.js"></script>

<div class="pages">
	{% for page in pages %}
		<div class="page">
			<img src="/img/book1/{{page.id}}" alt="" srcset="">
		</div>
	{% endfor %}
</div>
